%global momorel 2

Name:           perl-NetAddr-IP
Version:        4.030
Release:        %{momorel}m%{?dist}
Summary:        Manages IPv4 and IPv6 addresses and subnets
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/NetAddr-IP/
Source0:	http://www.cpan.org/authors/id/M/MI/MIKER/NetAddr-IP-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl-ExtUtils-MakeMaker
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides an object-oriented abstraction on top of IP addresses
or IP subnets, that allows for easy manipulations. Version 4.xx of
NetAdder::IP will will work older versions of Perl and does not use
Math::BigInt as in previous versions.

%prep
%setup -q -n NetAddr-IP-%{version}

%build
%{__perl} Makefile.PL --with-threads INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README TODO
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/NetAddr*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (4.030-2m)
- full rebuild for mo7 release

* Thu Jul 22 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.030-1m)
- update to 4.030

* Tue Jul 13 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.029-1m)
- update to 4.029

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.028-2m)
- rebuild against perl-5.12.1

* Thu May 13 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.028-1m)
- update to 4.028

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.027-5m)
- rebuild against perl-5.12.0

* Wed Jan 20 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.027-4m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.027-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.027-2m)
- rebuild against perl-5.10.1

* Fri Jun 12 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.027-1m)
- update to 4.027

* Sun Mar  8 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.025-1m)
- update to 4.025

* Tue Feb 10 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.024-1m)
- update to 4.024

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.023-2m)
- rebuild against rpm-4.6

* Sun Jan 18 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.023-1m)
- update to 4.023

* Fri Dec 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
= (4.022-1m)
- update to 4.022

* Sat Dec 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.020-1m)
- update to 4.020

* Sun Nov 30 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.019-1m)
- update to 4.019

* Mon Nov 24 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.017-1m)
- update to 4.017

* Mon Nov  3 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.015-1m)
- update to 4.015

* Mon Nov  3 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.014-1m)
- update to 4.014

* Sat Nov  1 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.013-1m)
- update to 4.013

* Sun Oct 19 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.012-1m)
- update to 4.012

* Sun Oct 12 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.011-1m)
- update to 4.011

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.007-2m)
- rebuild against gcc43

* Sun Jul 29 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (4.007-1m)
- Specfile autogenerated by cpanspec 1.73 for Momonga Linux.
